// -*- coding: utf-8 -*-
// Title:
// Name: BoomStarSys.sc
// Comment: Merger 2022
// JackDole 2017.01.08 11:10:44

//------------------------------------------------------------------------------
// http://www.calvin.edu/academic/phys/observatory/MergingStar/MolnarEtAl2017.pdf
//------------------------------------------------------------------------------

Star "KIC 9832227 JackDole A"
{
    ParentBody  "KIC 9832227 - Jack Dole"
    Class       "G4 V"
    
    RadSol      1.581
    MassSol     1.395
    
    Lum         2.609
    FeH         0.101
    Teff        5800
    
    Orbit 
    {
        RefPlane       "Ecliptic"
        SemiMajorAxis   0.00258512
        Period          0.0012538570918877
        Eccentricity    0
        Inclination     53.2
        AscendingNode   0
        MeanAnomaly     0
        ArgOfPericenter 0
    }
}

Star "KIC 9832227 JackDole B"
{
    ParentBody  "KIC 9832227 - Jack Dole"
    Class       "G1 V"
    
    RadSol      0.830
    MassSol     0.318
    
    Lum         0.830
    FeH         0.101
    Teff        5920
    
    Orbit 
    {
        RefPlane       "Ecliptic"
        SemiMajorAxis   0.01134038
        Period          0.0012538570918877
        Eccentricity    0
        Inclination     53.2
        AscendingNode   0
        MeanAnomaly     0
        ArgOfPericenter 180
    }
}

//------------------------------------------------------------------------------


Star	"KIC 9832227 Mosfet A"
{
	ParentBody	"KIC 9832227 - Mosfet"	//name of StarBarycenter
	Teff		5800
	FeH			0.101
	Luminosity	2.609
	MassSol		1.395
	RadiusSol	1.581
	NoPlanets	true

	//rotational parameters
	//Obliquity	82.2
	//EqAscendNode	67.726
	//RotationPeriod	923.6
	//RotationOffset	64.7

	//orbit around barycenter
	Orbit
	{
		SemiMajorAxis	 0.00258 // 0.0139*(0.318/1.713) in AU
		Period		0.001254689068493	//in years
		Eccentricity	0
		Inclination		53.2
		AscendingNode	0.0
		ArgOfPericenter	0.0
		MeanAnomaly	0.0
	}
}

Star	"KIC 9832227 Mosfet B"
{
	ParentBody	"KIC 9832227 - Mosfet"	//name of StarBarycenter
	Teff		5920
	Luminosity	0.789
	MassSol		0.318
	RadSol		0.830
	NoPlanets	true

	//rotational parameters
	//Obliquity	82.6
	//EqAscendNode	67.726
	//RotationPeriod	850.5
	//RotationOffset	127.4

	//orbit around barycenter
	Orbit
	{
		SemiMajorAxis	0.01132	// 0.0139*(1.395/1.713) in AU
		Period		0.001254689068493	//in years
		Eccentricity	0
		Inclination		53.2
		AscendingNode	0.0
		ArgOfPericenter	180.0
		MeanAnomaly	0.0
	}
}
